﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApplication15
{
    public partial class Form1 : Form
    {

        System.Media.SoundPlayer Efeito = new System.Media.SoundPlayer();

        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            OpenFileDialog Abrir = new OpenFileDialog(); // abre caixa de dialogo de ABRIR ARQUIVO
            Abrir.Filter = "(*.MP3;*.WAV;*.WMV)|*.MP3;*.WAV;*.WMV";   //filtra os tipos de arquivos desejados.
            if (Abrir.ShowDialog() == DialogResult.OK) // se o usuário escolher um arquivo...
            {
                axWindowsMediaPlayer1.URL = Abrir.FileName; // Arquivo que o componente WMP deverá executar.
                //OBS: O WMP irá iniciar o play automaticamente!
                
                label1.Text = Abrir.FileName; // mostra para o usuário o caminho do arquivo escolhido.
                BtnAbrirArquivo.Enabled = false;
                BtnPause.Enabled = true;
                BtnStop.Enabled = true;
            } 
        }

        private void button2_Click(object sender, EventArgs e)
        {
            // método play do componente do WMP
            axWindowsMediaPlayer1.Ctlcontrols.play();
            BtnAbrirArquivo.Enabled = false;
            BtnPlay.Enabled = false;
            BtnPause.Enabled = true;
            BtnStop.Enabled = true;
        }

        private void button3_Click(object sender, EventArgs e)
        {
            axWindowsMediaPlayer1.Ctlcontrols.pause();
            BtnAbrirArquivo.Enabled = false;
            BtnPlay.Enabled = true;
            BtnPause.Enabled = false;
            BtnStop.Enabled = true;
        }

        private void button4_Click(object sender, EventArgs e)
        {
            axWindowsMediaPlayer1.Ctlcontrols.stop();
            BtnAbrirArquivo.Enabled = true;
            BtnPlay.Enabled = false;
            BtnPause.Enabled = false;
            BtnStop.Enabled = false;
        }

        private void button1_Click_1(object sender, EventArgs e)
        {
            Efeito.SoundLocation = "samples//1.wav";
            Efeito.Load();
            Efeito.Play();
        }

        private void button2_Click_1(object sender, EventArgs e)
        {
            Efeito.SoundLocation = "samples//2.wav";
            Efeito.Load();
            Efeito.Play();
            Efeito.PlayLooping();
        }

        private void button3_Click_1(object sender, EventArgs e)
        {
            Efeito.SoundLocation = "samples//3.wav";
            Efeito.Load();
            Efeito.Play();
            Efeito.PlayLooping();
        }

        private void button4_Click_1(object sender, EventArgs e)
        {
            Efeito.SoundLocation = "samples//4.wav";
            Efeito.Load();
            Efeito.Play();
            Efeito.PlayLooping();
        }

        private void Looping_Click(object sender, EventArgs e)
        {
            Efeito.Stop();
        }
    }
}
